@font-face {
    font-family: 'Overpass';
    src: url("../fonts/Overpass-Regular-MGd6fwl.ttf") format('truetype');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'OverpassBold';
    src: url("../fonts/Overpass-Bold-8LLHcMJ.ttf") format('truetype');
    font-weight: normal;
    font-style: normal;
}

html, body, * {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Overpass', sans-serif;
    font-size: 16px;
}

html {
    height: fit-content;
    min-height: 100vh;
}

body {
    display: flex;
    width: 100%;
    height: 100%;
    min-height: 100vh;
}

h1, h2 {
    font-family: 'OverpassBold', sans-serif;
}

a {
    text-decoration: none;
    color: unset;
}

.main {
    transition: width 0.3s ease-in-out; /* Animation fluide */
    padding: 58px 40px;
    
    @media (min-width: 900px) {
        padding: 58px 64px;
        width: calc(100% - 250px); /* Par défaut avec la sidebar visible */
    }
}

@media (max-width: 600px) {
    .main {
        padding: 58px 30px;
    }
}

@media (max-width: 900px) {
    .sidebar_hidden ~ .main {
        position: relative;
        width: 100%;
        /* padding: 58px 64px; */
        z-index: 1;
        transition: filter 0.3s ease-in-out;
    }

    .sidebar, .sidebar_hidden {
        width: 0;
    }
}

/* Quand la sidebar est masquée */
/* .sidebar_hidden ~ .main {
    width: 100%; 
} */


.main h1 {
    font-size: 30px;
    margin-bottom: 24px;
}

.main h2 {
    font-size: 20px;
    margin-bottom: 18px;
}

.status_wrapper {
    display: flex;
    flex-wrap: wrap;
    gap: 16px;
    margin-bottom: 50px;
}

.status_container {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 18px;
    border-radius: 18px;
    -webkit-box-shadow: 0px 5px 20px -10px rgba(136, 141, 184, 1);
    -moz-box-shadow: 0px 5px 20px -10px rgba(136, 141, 184, 1);
    box-shadow: 0px 5px 20px -10px rgba(136, 141, 184, 1);
    width: 20%;
    border: none;
    background-color: unset;
    text-decoration: none;
    color: unset;
    transition: all 0.5s;
}

@media (max-width: 1070px) {
    .status_container {
        width: 30%;
    }
}

@media (max-width: 830px) {
    .status_container {
        width: calc(50% - 16px);
    }
}

.status_container:hover {
    cursor: pointer;
    -webkit-box-shadow: 0px 5px 20px -8px rgba(136, 141, 184, 1);
    -moz-box-shadow: 0px 5px 20px -8px rgba(136, 141, 184, 1);
    box-shadow: 0px 5px 20px -8px rgba(136, 141, 184, 1);
}

.status_category {
    text-align: center;
}

.status_value {
    font-size: 22px;
    font-weight: 600;
}

.status_category {
    font-size: 18px;
    text-transform: capitalize;
}

/* HEADER DES PAGES AVEC TYPES D'USERS */

.members_header_wrapper {
    display: flex;
    flex-direction: column;
    margin-bottom: 24px;
}

.members_header {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.main h1.members_header_title {
    margin-bottom: 4px;
}

.members_header_button {
    display: flex;
    align-items: center;
    margin-bottom: 4px;
    margin-left: 50px;
    padding: 10px;
    min-height: 52px;
    background-color: #E2EDF8;
    color: #356795;
    border-radius: 14px;
    border: none;
    cursor: pointer;
    font-size: 16px;
    font-family: 'OverpassBold', sans-serif;
}

.members_header_button img {
    margin-right: 16px;
}

.members_number {
    font-size: 30px;
}

@media (max-width: 450px) {
    .members_header {
        flex-direction: column;
        align-items: flex-start;
    }

    .members_header_button {
        margin-left: 0;
        margin-bottom: 16px;
    }
}